1. Overview
Sionic Opengateway
  • Default module
    • Overview
      • Getting Started With OpenGateway
      • Model Compatible
    • Apis
      • /chat/completions
      • /v1/chat/completions
  • og-onprem
    • Chat Completions
      • 채팅 완성 생성
    • Responses
      • 모델 응답 생성
    • Messages
      • 메시지 생성(Anthropic Messages 형식)
    • Embeddings
      • 임베딩 생성
    • Images
      • 이미지 생성
      • 이미지 편집
    • Models
      • 모델 목록 조회
    • Schemas
      • ModelId
      • DebugCategory
      • FallbackModels
      • DebugCategories
      • Extra
      • Debug
      • OpenAIError
      • OpenAIErrorResponse
      • AnthropicErrorResponse
      • CacheControl
      • ChatContentPart
      • ChatTextPart
      • ChatImagePart
      • ToolCall
      • ChatMessage
      • FunctionDefinition
      • ChatTool
      • ToolChoice
      • ChatCompletionRequest
      • ChatCompletionUsage
      • LogprobToken
      • ChatCompletion
      • ChatCompletionChunk
      • ResponsesInputItem
      • ResponsesMessageItem
      • ResponsesFunctionCallItem
      • ResponsesFunctionCallOutputItem
      • ResponsesTool
      • ResponsesRequest
      • ResponseObject
      • MessagesRequest
      • AnthropicMessage
      • EmbeddingsRequest
      • EmbeddingsResponse
      • ImageGenerationRequest
      • ImageEditRequest
      • ImagesResponse
      • ModelStatus
      • CatalogEndpoint
      • Model
      • ModelList
  1. Overview

Getting Started With OpenGateway

Introduce#

OpenGateway는 OpenAI 호환 단일 인터페이스로 OpenAI, Anthropic, Google Vertex, Hyperclova와 같은 여러 프로바이더의 모델을 사용할 수 있는 서비스입니다.

Usage#

OpenAI SDK#

HTTP#

curl -X POST "https://live-asmr-v2.sionic.im/v1/chat/completions" \
    -H "Authorization: Bearer token_abcdefghijklmnopqrstuvwxyz012345" \
    -H "Content-Type: application/json" \
    -d '{
          "model": "openai:gpt-4o-mini",
          "messages": [
              {"role": "system", "content": "You are a helpful assistant."},
              {"role": "user", "content": "Tell me a joke."}
          ]
        }'

API 키 생성하기#

API를 사용하기 위해서는 아래와 같은 형식의 API 키가 필요합니다. API 키 발급은 SionicAI로 요청주십시오.
token_abcdefghijklmnopqrstuvwxyz012345

Request URL#

https://live-asmr-v2.sionic.im

Headers#

OpenGateway API에 대한 일반적인 HTTPS 요청에는 다음 헤더가 포함됩니다.
Authorization: Bearer {YOUR_API_KEY_TOEKN}
위 예시에서 {YOUR_API_KEY_TOEKN}는 앞서 생성한 API 키 토큰으로 대체해야 합니다.
Modified at 2025-11-25 03:53:13
Next
Model Compatible
Built with